Subject: Re: Namespaces and inetpeer

From: Steffen Klassert <[email-masked]>
Date: Mon, 12 Mar 2012 09:57:56 +0100

On Sun, Mar 11, 2012 at 12:25:29AM +1100, Herbert Xu wrote:
> Hi:
> 
> While looking through the inetpeer code I noticed that there is
> no namespace support at all.  This means that metric and other
> information will be leaking across namespaces.  As IP addresses
> are meant to be independent between them, this is not a good thing.
> 

Actually, it would be nice if we could have an inetpeer base per
fib table. This would imply namespace awareness and it would
handle the problem when we have mulitiple routes (with different
metrics etc.) to the same ip address on policy routing.